# ATBase64BinaryOrDerived Class Reference

`#include <ATBase64BinaryOrDerived.hpp>`

Inheritance diagram for ATBase64BinaryOrDerived:

[legend]
List of all members.

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual int | compare (const ATBase64BinaryOrDerived::Ptr &other, const DynamicContext *context) const =0
| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

## Protected Member Functions

virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Member Function Documentation

virtual const XMLCh* ATBase64BinaryOrDerived::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual int ATBase64BinaryOrDerived::compare | ( | const ATBase64BinaryOrDerived::Ptr & | other,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Returns less than 0 if this is less that other, 0 if they are the same, and greater than 0 otherwise.

virtual bool ATBase64BinaryOrDerived::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATBase64BinaryOrDerived::getPrimitiveTypeIndex | ( |  | ) | const`[protected, pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBase64BinaryOrDerived::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBase64BinaryOrDerived::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATBase64BinaryOrDerived::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

The documentation for this class was generated from the following file:

- ATBase64BinaryOrDerived.hpp